%define name mediatomb 
%define version 0.12.0
%global date 20090524
%global momorel 0.%{date}.2

Version: %{version}
Summary: UPnP AV MediaServer 
Name: %{name}
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/Multimedia
#Source0: http://dl.sourceforge.net/sourceforge/mediatomb/%{name}-%{version}.tar.gz 
#NoSource: 0
Source0: mediatomb-%{date}.tar.bz2
Patch0:  mediatomb-service-fedora.patch
Patch1:  mediatomb-0.11.0-curl.patch
Patch2: mediatomb_fixcompile.sf2605394.patch
URL: http://mediatomb.cc/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: ffmpeg ffmpegthumbnailer 
BuildRequires: mysql-devel >= 5.1.32
BuildRequires: sqlite-devel >= 3
BuildRequires: file
BuildRequires: ffmpeg-devel id3lib-devel libexif-devel taglib-devel libextractor-devel
BuildRequires: openldap-devel js-devel ffmpegthumbnailer-devel

%description
MediaTomb - UPnP AV Mediaserver for Linux.

%prep 

%setup -q -n %{name}
%%patch0 -p1 -b .momonga
#%%patch1 -p1 -b .curl~
#%%patch2 -p1 -b .fixcompile~


%build
autoreconf -if
%configure 	--enable-external-transcoding --enable-libmagic \
		--enable-protocolinfo-extension --enable-libjs \
		--enable-libextractor \
		--with-avformat-h=/usr/include/ffmpeg/

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -D -m0755 scripts/mediatomb-service-fedora %{buildroot}%{_sysconfdir}/init.d/mediatomb
install -D -m0755 config/mediatomb-conf-fedora %{buildroot}%{_sysconfdir}/mediatomb.conf

%makeinstall

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
chkconfig --add mediatomb

%preun
service mediatomb stop > /dev/null 2>&1
chkconfig --del mediatomb

%files
%defattr(-,root,root)
%doc README README.UTF_8 AUTHORS ChangeLog COPYING INSTALL doc/doxygen.conf
%doc doc/scripting.txt doc/scripting_utf8.txt
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/mediatomb.conf
%{_bindir}/mediatomb
%{_datadir}/%{name}/
%{_mandir}/man1/*
%{_sysconfdir}/init.d/mediatomb

%changelog
* Wed Jul  1 2009 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (0.12.0-0.20090524.2m)
- add patch to use $MT_USER from config

* Wed Jul  1 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.12.0-0.20090524.1m)
- update 0.12.0-0.20090524.1m

* Tue Apr 07 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.11.0-7m)
- rebuild against openssl-0.9.8k

* Thu Mar 19 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.11.0-6m)
- rebuild against mysql-5.1.32
-- apply Patch2 from Rawhide (0.11.0-7)

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.11.0-5m)
- rebuild against rpm-4.6

* Tue Jul 15 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.11.0-4m)
- import a patch from debian FTBFS #477036

* Thu Jun  5 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.11.0-3m)
- rebuild against openssl-0.9.8h-1m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.11.0-2m)
- rebuild against gcc43

* Mon Mar  3 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.11.0-1m)
- update 0.11.0

* Wed Feb 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.0-0.20080218.3m)
- rebuild against openldap-2.4.8

* Wed Feb 20 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.11.0-0.20080218.2m)
- mediatomb was not default bootup daemons.

* Sun Feb 17 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.11.0-0.20080218.1m)
- update trunk
-- better PS3 support
-- support transcoding

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.10.0-2m)
- %%NoSource -> NoSource

* Thu Aug 30 2007 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (0.10.0-1m)
- first import

  * Wed Jul 11 2007 Sergey Bostandzhyan <jin@mediatomb.cc> 0.10.0-1
  - Version is now filled in by the configure script.
  * Sun May 27 2007 Sergey Bostandzhyan <jin@mediatomb.cc> 0.9.1-1
  - updated the init script
  * Sun Mar 25 2007 Sergey Bostandzhyan <jin@mediatomb.cc> 0.9.0-1
  - Synced with the new script naming and adjusted for the release,
    added man page.
  * Mon Feb 26 2007 Sergey Bostandzhyan <jin@mediatomb.cc>
  - Removed some files that were no longer needed.
  * Wed Sep  7 2005 Sergey Bostandzhyan <jin@mediatomb.cc>
  - Removed some buildrequires, our configure script should handle different
    scenarios itself.
  * Wed Jun 15 2005 Sergey Bostandzhyan <jin@mediatomb.cc>
  - Added init.d script + chkconfig
  * Thu Apr 14 2005 Sergey Bostandzhyan <jin@mediatomb.cc>
  - Initial release

